@extends("layouts.app")

@section("nombreInterfaz")
<img src="images/logo.png" alt="" width="300px">
@endsection

@section("content")

<nav class="navbar navbar-expand-lg" style="background-color:#00428d;">
  <div class="container-fluid">
    
    
    <div class="navbar-collapse" id="navbarNavDarkDropdown">
      <ul class="navbar-nav">

        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-white" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Usuarios
          </a>
          <ul class="dropdown-menu" style="background-color:#00428d;" aria-labelledby="navbarDarkDropdownMenuLink">
            <li><a class="dropdown-item text-white" href="{{url('/usuarios')}}">Usuarios</a></li>
            <li><a class="dropdown-item text-white" href="{{url('/registrar')}}">Registrar usuario</a></li>
    
          </ul>
        </li>
      </ul>
 
      <ul class="navbar-nav">

        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-white" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Fecha de Elecciones
          </a>
          <ul class="dropdown-menu" style="background-color:#00428d;" aria-labelledby="navbarDarkDropdownMenuLink">
            
          <li><a class="dropdown-item text-white" href="{{url('/fechaVotacion')}}">Establecer Fecha</a></li>
            <li><a class="dropdown-item text-white" href="{{url('/listaFechas')}}">Historico</a></li>
            

          </ul>
        </li>
      </ul>
        
      <ul class="navbar-nav">

      <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-white" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Concejos Directivos
          </a>
          <ul class="dropdown-menu" style="background-color:#00428d;" aria-labelledby="navbarDarkDropdownMenuLink">
            
          <li><a class="dropdown-item text-white" href="{{url('/concejoDirectivos')}}" tabindex="-1" aria-disabled="true">Concejos directivos</a></li>
          <li><a class="dropdown-item text-white" href="{{url('/registrarConcejo')}}" tabindex="-1" aria-disabled="true">Registrar concejos directivos</a></li>
            
            

          </ul>
        </li>
      </ul>

      <ul class="navbar-nav">

        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-white" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Postular
          </a>
          <ul class="dropdown-menu" style="background-color:#00428d;" aria-labelledby="navbarDarkDropdownMenuLink">
            <li><a class="dropdown-item text-white" href="{{url('/postular')}}">Postular</a></li>
            
    
          </ul>
        </li>
      </ul>
  
    </div>
    
  </div>
  
</nav>



</div>

<div class="container-fluid row" style="margin:10px auto auto auto;">
@if(isset($mensaje))
<div class="alert alert-success" style="text-align:center;" role="alert">
  {{$mensaje}}
</div>
@endif
@if(isset($mensajeError))
<div class="alert alert-danger" style="text-align:center;" role="alert">
  {{$mensajeError}}
</div>
@endif

@yield("contenido")
</div>

@endsection