@extends("administrador.administrador")

@section("contenido")

<form action="{{url('/guardarFechaVotacion')}}" method="post">
@csrf
  <div class="mb-3">
    <label for="fechaInicio" class="form-label">Fecha y hora de inicio</label>
    <input type="date" name="fechaInicio" class="form-control" id="fechaInicio" max="{{date('Y')}}-12-31" >
    <input type="time" name="horaInicio" class="form-control" id="HoraInicio" require>
  </div>
  <div class="mb-3">
    <label for="fechaFinal" class="form-label">Fecha y hora final</label>
    <input type="date" name="fechaFinal" class="form-control" max="{{date('Y')}}-12-31" id="fechaFinal">
    <input type="time" name="horaFinal" class="form-control" id="HoraFinal" require>
  </div>
  
  <button type="submit" class="btn btn-primary">Establecer fecha</button>
</form>
@if(count($errors))
    @foreach($errors->all() as $error)
       <span class="text-danger"> {{$error}}</span>
    @endforeach
@elseif(isset($errorFecha))
    <span class="text-danger">{{$errorFecha}}</span>
@endif

@endsection