@extends("administrador.administrador")

@section("contenido")
<div style="margin-top:20px;">
<form action="{{url('/usuarios')}}">
@csrf
<input  type="text" name="buscar">
<input class="btn text-white" style="background-color:#00428d;" type="submit" value="Buscar">

</form>
</div>
<table class="table" style="font-size:12px; text-align:center; margin-top:20px;">
<thead class="text-white" style="background-color:#00428d;">
    <tr>
      
      <th scope="col">Nombre</th>
      <th scope="col">Primer apellido</th>
      <th scope="col">Segundo apellido</th>
      <th scope="col">T. Documento</th>
      <th scope="col">N. Documento</th>
      <th scope="col">Email</th>
      <th scope="col">Telefono</th>
      <th scope="col">Celular</th>
      <th scope="col">Dirección</th>
      <th scope="col">Ciudad</th>
      <th scope="col">Rol</th>
      <th scope="col">C. Votación</th>
      <th scope="col">Opciones</th>
    </tr>
  </thead>
  <tbody>
@if(isset($_GET["buscar"]) && !empty($_GET["buscar"]))

@php
$buscar = $_GET["buscar"]
@endphp

@php
$usuarios = App\User::where("name","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("primerApellido","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("segundoApellido","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("tipoDocumento_id","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("numeroDocumento","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("telefono","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("celular","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("direccion","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("ciudad_id","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("role_id","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)
            ->orWhere("codigoVotacion","LIKE","%$buscar%")->where("numeroDocumento","!=",97061707445)->get()
@endphp

        @if(count($usuarios)==0)

            @php $tipoDocumento = App\TipoDocumento::where("nombre","LIKE","%$buscar%")->get() @endphp
            @php $ciudad = App\Ciudade::where("nombre","LIKE","%$buscar%")->get() @endphp
            @php $rol = App\Role::where("nombre_rol","LIKE","%$buscar%")->get() @endphp
            
            @if(count($tipoDocumento))

                @php $usuarios = App\User::where("tipoDocumento_id","=",$tipoDocumento[0]["id"])->get() @endphp

            @elseif(count($ciudad))

                @php $usuarios = App\User::where("ciudad_id","=",$ciudad[0]["id"])->get() @endphp

            @elseif(count($rol))

                @php $usuarios = App\User::where("role_id","=",$rol[0]["id"])->get() @endphp

            @endif

        @endif
       
      
        
           

      


@foreach($usuarios as $usuario)

@php $rol = App\Role::select("nombre_rol")->where("id","=",$usuario["role_id"])->first() @endphp
@php $tipoDocumento = App\TipoDocumento::select("nombre")->where("id","=",$usuario["tipoDocumento_id"])->first() @endphp
@php $ciudad = App\Ciudade::select("nombre")->where("id","=",$usuario["ciudad_id"])->first() @endphp

    <tr style="vertical-align:middle;">
      
      <td>{{$usuario["name"]}}</td>
      <td>{{$usuario["primerApellido"]}}</td>
      <td>{{$usuario["segundoApellido"]}}</td>
      <td>{{$tipoDocumento["nombre"]}}</td>
      <td>{{$usuario["numeroDocumento"]}}</td>
      <td>{{$usuario["email"]}}</td>
      <td>{{$usuario["telefono"]}}</td>
      <td>{{$usuario["celular"]}}</td>
      <td>{{$usuario["direccion"]}}</td>
      <td>{{$ciudad["nombre"]}}</td>
      <td>{{$rol["nombre_rol"]}}</td>
      <td>{{$usuario["codigoVotacion"]}}</td>
      <td>
        <input type="text" name="id" hidden value="{{$usuario['id']}}">      
        <button type="button" class="btn text-danger" data-bs-toggle="modal" data-bs-target="#EliminarModal2{{$usuario['id']}}">Eliminar</button>

<div class="modal fade" id="EliminarModal2{{$usuario['id']}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">Eliminar registro</h5>
<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
</div>
<div class="modal-body">
<span> ¿ Esta seguro de eliminar este registro?</span>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-success" data-bs-dismiss="modal">Cerrar</button>
<input class="btn btn-danger" type="submit" value="Eliminar">
</div>
</div>
</div>
</div>

</form>
      <form action="{{url('/mostrarUsuario')}}" method="post">
      @csrf

        <input type="text" name="id" hidden value="{{$usuario['id']}}">
              
        <input class="btn text-success"  type="submit" value="Actualizar">
     
      </form> 
      </td>
    </tr>

@endforeach

@else
@foreach($usuarios as $usuario)

@php $rol = App\Role::select("nombre_rol")->where("id","=",$usuario["role_id"])->first() @endphp
@php $tipoDocumento = App\TipoDocumento::select("nombre")->where("id","=",$usuario["tipoDocumento_id"])->first() @endphp
@php $ciudad = App\Ciudade::select("nombre")->where("id","=",$usuario["ciudad_id"])->first() @endphp
    
    <tr style="vertical-align:middle;">
      
      <td>{{$usuario["name"]}}</td>
      <td>{{$usuario["primerApellido"]}}</td>
      <td>{{$usuario["segundoApellido"]}}</td>
      <td>{{$tipoDocumento["nombre"]}}</td>
      <td>{{$usuario["numeroDocumento"]}}</td>
      <td>{{$usuario["email"]}}</td>
      <td>{{$usuario["telefono"]}}</td>
      <td>{{$usuario["celular"]}}</td>
      <td>{{$usuario["direccion"]}}</td>
      <td>{{$ciudad["nombre"]}}</td>
      <td>{{$rol["nombre_rol"]}}</td>
      <td>{{$usuario["codigoVotacion"]}}</td>
      <td>
      <form action="{{url('/eliminarUsuario')}}" method="post">
        @csrf
        <input type="text" name="id" hidden value="{{$usuario['id']}}">      
        <button type="button" class="btn text-danger" data-bs-toggle="modal" data-bs-target="#EliminarModal{{$usuario['id']}}">Eliminar</button>

  <div class="modal fade" id="EliminarModal{{$usuario['id']}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
  <div class="modal-content">
  <div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel">Eliminar registro</h5>
  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
  </div>
  <div class="modal-body">
  <span class="fs-4">¿ Esta seguro de eliminar este registro?</span>
  </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-success" data-bs-dismiss="modal">Cerrar</button>
        <input class="btn btn-danger" type="submit" value="Eliminar">
      </div>
    </div>
  </div>
</div>

      </form>
      <form action="{{url('/mostrarUsuario')}}" method="post">
      @csrf

        <input type="text" name="id" hidden value="{{$usuario['id']}}">
              
        <input class="btn text-success"  type="submit" value="Actualizar">
     
      </form> 
      </td>     
    </tr>
  
@endforeach
</tbody>


@endif
</table>

@endsection

