@extends("layouts.app")

@section("nombreInterfaz")
<img src="images/logo.png" alt="" width="300px"> 
@endsection

@section("content")
<!-- As a link -->

<ul class="nav nav-tabs mb-2 text-white " style="background-color:#3d955c;">
  <li class="nav-item">
    <a class="nav-link text-white" aria-current="page" href="{{url('/candidatos')}}">Candidatos</a>
  </li>
  <li class="nav-item">
    <a class="nav-link text-white" href="{{url('/postularse')}}">Postularme</a>
  </li>
  <li class="nav-item">
    <a class="nav-link text-white" href="{{url('/resultadoDocente')}}">Resultado de votaciones</a>
  </li>
</ul>



<div class="container-fluid row" style="margin:auto;">

@if(isset($mensaje))
<div class="alert alert-success" style="text-align:center;" role="alert">
  {{$mensaje}}
</div>
@endif

@if(isset($mensajeError))
<div class="alert alert-danger" style="text-align:center;" role="alert">
  {{$mensajeError}}
</div>
@endif

@if(isset($mensajeAlerta))
<div class="alert alert-warning" style="text-align:center;" role="alert">
  {{$mensajeAlerta}}
</div>
@endif


@yield("contenido")
</div>


@endsection
