<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class Votante
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        
        if (Auth::check()) {
            $usuario = Auth::user();
            if (!$usuario->votante()) {
                return redirect("/");
            }
        }else{
            return redirect("/"); 
        }
        
        return $next($request);
    }
}
