<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRegistroVotosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('registro_votos', function (Blueprint $table) {
            $table->id();
            $table->integer("user_id");
            $table->integer("fecha_votacione_id");
            $table->foreign('user_id')->references('id')->on('users');
            $table->foreign('fecha_votacione_id')->references('id')->on('fecha_votaciones');
            $table->foreign('concejo_directivo_id')->references('id')->on('concejo_directivos');      
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('registro_votos');
    }
}
