@extends("layouts.app")

@section("nombreInterfaz")
<img src="images/logo.png" alt="" width="300px">
@endsection

@section("content")
<ul class="nav nav-tabs mb-2 text-white " style="background-color:#2f59a2;">
  <li class="nav-item">
    <a class="nav-link text-white" aria-current="page" href="{{url('/candidatosEstudiante')}}">Candidatos</a>
  </li>
  <li class="nav-item">
    <a class="nav-link text-white" href="{{url('/postularseEstudiante')}}">Postularme</a>
  </li>
  <li class="nav-item">
    <a class="nav-link text-white" href="{{url('/resultadoEstudiante')}}">Resultado de votaciones</a>
  </li>
</ul>

<div class="container-fluid row" style="margin:auto;">

@if(isset($mensaje))
<div class="alert alert-primary" style="text-align:center;" role="alert">
  {{$mensaje}}
</div>
@endif

@if(isset($mensajeError))
<div class="alert alert-primary" style="text-align:center;" role="alert">
  {{$mensajeError}}
</div>
@endif

@if(isset($mensajeAlerta))
<div class="alert alert-warning" style="text-align:center;" role="alert">
  {{$mensajeAlerta}}
</div>
@endif


@yield("contenido")
</div>

@endsection