@extends('layouts.app')

@section("content")
<div class="container-fluid row" style="margin:auto;">
@foreach($candidatos as $candidato)
@php $usuario= App\User::where("id",$candidato['user_id'])->first()@endphp
@php $cantidad = App\RegistroPosultacion::where("user_id",$candidato["user_id"])->where("concejo_directivo_id",$candidato["concejo_directivo_id"])->first()@endphp
<div class="card m-2 shadow p-3 mb-2 bg-white rounded" style="width: 18rem;">
  <div class="card-body">
    <h5 class="card-title text-center">{{$usuario["name"]." ".$usuario["primerApellido"]." ".$usuario["segundoApellido"]}}</h5>
    <p class="card-text text-center">{{$usuario["descripcion"]}}</p>
    <p class="card-text text-center">Numero de postulaciones:</p>
    <p class="card-text text-center text-primary fs-4">{{$cantidad["cantidad"]}}</p>

  </div>

  <form action="{{url('/votar')}}" method="post" style="margin:auto;">
  @csrf
  <input type="text" name="concejo_directivo_id" value="{{$candidato['concejo_directivo_id']}}" hidden>
  <input type="text" name="fecha_votacione_id" value="{{$candidato['fecha_votacione_id']}}" hidden>
  <input type="text" name="user_id" value="{{$candidato['user_id']}}" hidden>

  <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#{{'usuario'.$candidato['user_id']}}">
  Votar
</button>

<!-- Modal -->
<div class="modal fade" id="usuario{{$candidato['user_id']}}" tabindex="-1" aria-labelledby="{{$candidato['user_id']}}" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Votar</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        ¿ Esta seguro de realizar esta votación ?
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cerrar</button>
        <input type="submit" class="btn btn-primary m-2" value="Votar">
      </div>
    </div>
  </div>
</div>
</div>
  

  </form>
  
  <!-- Button trigger modal -->


@endforeach
</div>

@endsection