@extends("layouts.app")

@section("content")
<!-- As a link -->
<div class="container-fluid row" style="margin:auto;">
@if(isset($mensaje))
<div class="alert alert-success" style="text-align:center;" role="alert">
  {{$mensaje}}
</div>
@endif
@if(isset($mensajeError))
<div class="alert alert-danger" style="text-align:center;" role="alert">
  {{$mensajeError}}
</div>
@endif

@if(count($fechaVotaciones))

@foreach($concejoDirectivos as $concejo)
<div class="card m-2 shadow p-3 mb-2 bg-white rounded" style="width: 18rem;">
  <div class="card-body">
    <h5 class="card-title text-center">{{$concejo['nombre']}}</h5>
    <p class="card-text"></p>
  </div>

  <form action="{{url('/candidatos')}}" method="post" style="margin:auto;">
  @csrf
  <input type="text" name="concejo_directivo_id" value="{{$concejo['id']}}" hidden>
  <input type="submit" class="btn btn-primary m-2" value="Ver candidatos">

  </form>
</div>
@endforeach

@endif
</div>


@endsection

